Subject: Re: [PATCHv2 0/2] IPVS: Add Generic Netlink configuration interface

From: Simon Horman <[email-masked]>
Date: Tue, 22 Jul 2008 10:34:05 +1000

On Mon, Jul 21, 2008 at 03:02:53PM +0200, Julius Volz wrote:
> This is the second version of the Generic Netlink interface for
> IPVS. I integrated some comments from Thomas Graf, Patrick McHardy and
> Yoshifuji Hideaki and changed a few things myself. The interface should
> now follow existing Netlink conventions more closely and has been
> tested without problems.
> 
> The two patches add a Generic Netlink interface to IPVS while keeping
> the old get/setsockopt interface for userspace backwards compatibility.
> The motivation for this is to have a more extensible interface for
> future changes, such as the planned IPv6 support. ipvsadm is currently
> being extended to support the new interface and features.

I'm not an expert on netlink, but these patches are looking good to me.
Is the user-space portion available somewhere?

> The ip_vs.h header change depends on this patch I sent previously:
> "IPVS: Move userspace definitions to include/linux/ip_vs.h"
> (this one looked good to Horms, can it go in?)

Yes, it can. I'll repost it with an Ack.

-- 
Horms